%define	module	libintl-perl

Summary:	A localization library for Perl
Name:		perl-%{module}
Version:	1.16
Release:	%mkrel 5
License:	LGPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://www.cpan.org/authors/id/G/GU/GUIDO/%{module}-%{version}.tar.bz2
BuildRequires:	db4-devel
BuildRequires:	gdbm-devel
BuildRequires:	perl-devel
BuildRequires:	gettext-devel
#gw yes, this is required by the tests
BuildRequires:	locales-de
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libintl-perl is a library that supports message translation for
Perl, written in pure Perl (version 5.004 or better). A faster C
version is also built and installed if the system fulfills all
requirements. Its interface is very similar to the gettext family
of functions in C, and it uses the same file formats as GNU
gettext, making it possible to use all tools available for gettext
itself and to seamlessly integrate internationalized Perl code
into mixed-language projects. An alternative library with a
similar purpose is available as Locale::MakeText. 

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}

%makeinstall_std

# fix attribs
find %{buildroot}%{perl_vendorlib} -name "*.pm" | xargs chmod 755

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README THANKS TODO
%{perl_vendorlib}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*


%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.16-5mdv2009.0
+ Revision: 265368
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.16-4mdv2009.0
+ Revision: 209511
- get rid of the db1-devel and db2-devel build deps, db4-devel is enough

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.16-4mdv2008.1
+ Revision: 151339
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.16-3mdv2007.0
+ Revision: 111754
- fix buildrequires to fix the tests
- rebuild for new libintl

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-libintl-perl

* Fri Feb 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.16-2mdk
- rebuilt due to package loss
- nuke rpath and fix attribs

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdk
- New release 1.16
- spec cleanup
- better URL
- fix directory ownership

* Fri Aug 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.12-1mdk
- 1.12 (Major bugfixes)

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.11-3mdk
- rebuild for new perl

* Thu Jul 22 2004 Stefan van der Eijk <stefan@mandrake.org> 1.11-2mdk
- BuildRequires

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11-1mdk
- 1.11
- fix deps

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-2mdk
- rebuilt against new deps and with gcc v3.4.x
- fix deps

* Sat Apr 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-1mdk
- initial package

